// InterpreterTests.cs - Unit tests for the Python interpreter wrapper
//
// Author:  Brian Lloyd <brian@zope.com>
//
// (c) 2002 Brian Lloyd

using NUnit.Framework;
using Python.Runtime;
using System;

namespace Python.Runtime.Tests {


public class InterpreterTests : TestCase {

    public InterpreterTests(string name) : base(name) {}
    
    public static ITest Suite {
	get {
	    return new TestSuite(typeof(InterpreterTests));
	}
    }

    protected override void SetUp() {
	PythonInterpreter.Initialize();
    }

    protected override void TearDown() {	
	PythonInterpreter.Finalize();
    }


    // Actual test cases start here.

    public void TestInterpreterProperties() {
	//Console.WriteLine(PythonInterpreter.ProgramName);
	//Console.WriteLine(PythonInterpreter.PythonHome);
	Console.WriteLine(PythonInterpreter.Copyright);
	Console.WriteLine(PythonInterpreter.Version);
	Console.WriteLine(PythonInterpreter.Platform);
	Console.WriteLine(PythonInterpreter.Compiler);
	Console.WriteLine(PythonInterpreter.BuildInfo);

	//	Assert("call 1 failed", result.Length == 3);
    }
    

}


} // Python.Runtime.Tests
