// Copyright (c) 2001, 2002 Zope Corporation and Contributors.
//
// All Rights Reserved.
//
// This software is subject to the provisions of the Zope Public License,
// Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
// THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
// WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
// WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
// FOR A PARTICULAR PURPOSE.

using System;
using System.Collections;
using System.Runtime.InteropServices;

namespace Python.Runtime {

    /// <summary>
    /// Debugging helper utilities.
    /// </summary>

    internal class DebugUtil {

	public static void Print(string msg, params IntPtr[] args) {
	    string result = msg;
	    result += " ";

	    for (int i = 0; i < args.Length; i++) {
		IntPtr ob = Runtime.PyObject_Repr(args[i]);
		result += Runtime.PyString_AsString(ob);
		Runtime.Decref(ob);
		result += " ";
	    }
	    Console.WriteLine(result);
	    return;
	}



    }


}

